summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorChen Qi <Qi.Chen@windriver.com>2019-06-19 13:09:48 +0800
committerRichard Purdie <richard.purdie@linuxfoundation.org>2019-06-19 13:07:25 +0100
commit8a21559bd49feba6288ad02d928daed6c736df3d (patch)
tree7799c4d0d2da030b9560a78eeaacfa9cbe9ad0e2
parent7ddbe6483dd25a7bb09cdb80565df3af2d69c1f9 (diff)
downloadopenembedded-core-8a21559bd49feba6288ad02d928daed6c736df3d.tar.gz
openembedded-core-8a21559bd49feba6288ad02d928daed6c736df3d.tar.bz2
openembedded-core-8a21559bd49feba6288ad02d928daed6c736df3d.zip
target-sdk-provides-dummy: add libperl.so.5 to DUMMY_PROVIDES
Add libperl.so.5 to DUMMY_PROVIDES to avoid do_rootfs failure like below. Error: Problem: package postgresql-11.3-r0.core2_32 requires libperl.so.5, but none of the providers can be installed package target-sdk-provides-dummy-1.0-r0.sdk_provides_dummy_target conflicts with perl provided by perl-5.30.0-r0.core2_32 package target-sdk-provides-dummy-1.0-r0.sdk_provides_dummy_target conflicts with perl-module-strict provided by perl-5.30.0-r0.core2_32 This problem could be reproduced by add 'postgresql' to IMAGE_INSTALL and then `bitbake core-image-minimal -c populate_sdk'. Signed-off-by: Chen Qi <Qi.Chen@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
-rw-r--r--meta/recipes-core/meta/target-sdk-provides-dummy.bb1
1 files changed, 1 insertions, 0 deletions
diff --git a/meta/recipes-core/meta/target-sdk-provides-dummy.bb b/meta/recipes-core/meta/target-sdk-provides-dummy.bb
index 50182decfb..b5e8c0f034 100644
--- a/meta/recipes-core/meta/target-sdk-provides-dummy.bb
+++ b/meta/recipes-core/meta/target-sdk-provides-dummy.bb
@@ -46,6 +46,7 @@ DUMMYPROVIDES = "\
/bin/bash \
/usr/bin/env \
/usr/bin/perl \
+ libperl.so.5 \
pkgconfig \
pkgconfig-dev \
pkgconfig-src \